"""
This module contains the summary of the multiclass datasets
"""

summary = [{'name': 'abalone',
  'phenotype': 'abalone',
  'citation_key': 'krnn',
  'n_col': 7,
  'n_col_orig': 7,
  'n_col_non_unique_orig': 7,
  'n': 4177,
  'DESCR': 'abalone',
  'n_classes': 28,
  'data_loader': 'load_abalone'},
 {'name': 'automobile',
  'phenotype': 'automobile',
  'citation_key': 'keel',
  'n_col': 54,
  'n_col_orig': 25,
  'n_col_non_unique_orig': 24,
  'n': 159,
  'DESCR': 'automobile',
  'n_classes': 6,
  'data_loader': 'load_automobile'},
 {'name': 'balance',
  'phenotype': 'balance',
  'citation_key': 'keel',
  'n_col': 4,
  'n_col_orig': 4,
  'n_col_non_unique_orig': 4,
  'n': 625,
  'DESCR': 'balance',
  'n_classes': 3,
  'data_loader': 'load_balance'},
 {'name': 'car',
  'phenotype': 'car',
  'citation_key': 'keel',
  'n_col': 15,
  'n_col_orig': 6,
  'n_col_non_unique_orig': 6,
  'n': 1728,
  'DESCR': 'car',
  'n_classes': 4,
  'data_loader': 'load_car'},
 {'name': 'cleveland',
  'phenotype': 'cleveland',
  'citation_key': 'keel',
  'n_col': 13,
  'n_col_orig': 13,
  'n_col_non_unique_orig': 13,
  'n': 297,
  'DESCR': 'cleveland',
  'n_classes': 5,
  'data_loader': 'load_cleveland'},
 {'name': 'contraceptive',
  'phenotype': 'contraceptive',
  'citation_key': 'keel',
  'n_col': 9,
  'n_col_orig': 9,
  'n_col_non_unique_orig': 9,
  'n': 1473,
  'DESCR': 'contraceptive',
  'n_classes': 3,
  'data_loader': 'load_contraceptive'},
 {'name': 'dermatology',
  'phenotype': 'dermatology',
  'citation_key': 'keel',
  'n_col': 34,
  'n_col_orig': 34,
  'n_col_non_unique_orig': 34,
  'n': 358,
  'DESCR': 'dermatology',
  'n_classes': 6,
  'data_loader': 'load_dermatology'},
 {'name': 'ecoli',
  'phenotype': 'ecoli',
  'citation_key': 'krnn',
  'n_col': 7,
  'n_col_orig': 7,
  'n_col_non_unique_orig': 7,
  'n': 336,
  'DESCR': 'ecoli',
  'n_classes': 8,
  'data_loader': 'load_ecoli'},
 {'name': 'fars',
  'phenotype': 'fars',
  'citation_key': 'keel',
  'n_col': 338,
  'n_col_orig': 29,
  'n_col_non_unique_orig': 29,
  'n': 100968,
  'DESCR': 'fars',
  'n_classes': 8,
  'data_loader': 'load_fars'},
 {'name': 'flare',
  'phenotype': 'flare',
  'citation_key': 'keel',
  'n_col': 30,
  'n_col_orig': 11,
  'n_col_non_unique_orig': 11,
  'n': 1066,
  'DESCR': 'flare',
  'n_classes': 6,
  'data_loader': 'load_flare'},
 {'name': 'glass',
  'phenotype': 'glass',
  'citation_key': 'krnn',
  'n_col': 9,
  'n_col_orig': 9,
  'n_col_non_unique_orig': 9,
  'n': 214,
  'DESCR': 'glass',
  'n_classes': 6,
  'data_loader': 'load_glass'},
 {'name': 'hayes_roth',
  'phenotype': 'hayes',
  'citation_key': 'keel',
  'n_col': 4,
  'n_col_orig': 4,
  'n_col_non_unique_orig': 4,
  'n': 160,
  'DESCR': 'hayes_roth',
  'n_classes': 3,
  'data_loader': 'load_hayes_roth'},
 {'name': 'kr_vs_k',
  'phenotype': 'kr',
  'citation_key': 'keel',
  'n_col': 34,
  'n_col_orig': 6,
  'n_col_non_unique_orig': 6,
  'n': 28056,
  'DESCR': 'kr_vs_k',
  'n_classes': 18,
  'data_loader': 'load_kr_vs_k'},
 {'name': 'led7digit',
  'phenotype': 'led7digit',
  'citation_key': 'keel',
  'n_col': 7,
  'n_col_orig': 7,
  'n_col_non_unique_orig': 7,
  'n': 500,
  'DESCR': 'led7digit',
  'n_classes': 10,
  'data_loader': 'load_led7digit'},
 {'name': 'movement_libras',
  'phenotype': 'movement',
  'citation_key': 'keel',
  'n_col': 90,
  'n_col_orig': 90,
  'n_col_non_unique_orig': 90,
  'n': 360,
  'DESCR': 'movement_libras',
  'n_classes': 15,
  'data_loader': 'load_movement_libras'},
 {'name': 'newthyroid',
  'phenotype': 'newthyroid',
  'citation_key': 'keel',
  'n_col': 5,
  'n_col_orig': 5,
  'n_col_non_unique_orig': 5,
  'n': 215,
  'DESCR': 'newthyroid',
  'n_classes': 3,
  'data_loader': 'load_newthyroid'},
 {'name': 'nursery',
  'phenotype': 'nursery',
  'citation_key': 'keel',
  'n_col': 19,
  'n_col_orig': 8,
  'n_col_non_unique_orig': 8,
  'n': 12960,
  'DESCR': 'nursery',
  'n_classes': 5,
  'data_loader': 'load_nursery'},
 {'name': 'page_blocks',
  'phenotype': 'page',
  'citation_key': 'keel',
  'n_col': 10,
  'n_col_orig': 10,
  'n_col_non_unique_orig': 10,
  'n': 5472,
  'DESCR': 'page_blocks',
  'n_classes': 5,
  'data_loader': 'load_page_blocks'},
 {'name': 'post_operative',
  'phenotype': 'post',
  'citation_key': 'keel',
  'n_col': 15,
  'n_col_orig': 8,
  'n_col_non_unique_orig': 8,
  'n': 87,
  'DESCR': 'post_operative',
  'n_classes': 3,
  'data_loader': 'load_post_operative'},
 {'name': 'SATIMAGE',
  'phenotype': 'SATIMAGE',
  'citation_key': 'krnn',
  'n_col': 36,
  'n_col_orig': 36,
  'n_col_non_unique_orig': 36,
  'n': 6435,
  'DESCR': 'SATIMAGE',
  'n_classes': 6,
  'data_loader': 'load_satimage'},
 {'name': 'segment',
  'phenotype': 'segment',
  'citation_key': 'keel',
  'n_col': 19,
  'n_col_orig': 19,
  'n_col_non_unique_orig': 18,
  'n': 2310,
  'DESCR': 'segment',
  'n_classes': 7,
  'data_loader': 'load_segment'},
 {'name': 'splice',
  'phenotype': 'splice',
  'citation_key': 'keel',
  'n_col': 227,
  'n_col_orig': 60,
  'n_col_non_unique_orig': 60,
  'n': 3190,
  'DESCR': 'splice',
  'n_classes': 3,
  'data_loader': 'load_splice'},
 {'name': 'tae',
  'phenotype': 'tae',
  'citation_key': 'keel',
  'n_col': 5,
  'n_col_orig': 5,
  'n_col_non_unique_orig': 5,
  'n': 151,
  'DESCR': 'tae',
  'n_classes': 3,
  'data_loader': 'load_tae'},
 {'name': 'vowel',
  'phenotype': 'vowel',
  'citation_key': 'keel',
  'n_col': 13,
  'n_col_orig': 13,
  'n_col_non_unique_orig': 13,
  'n': 990,
  'DESCR': 'vowel',
  'n_classes': 11,
  'data_loader': 'load_vowel'},
 {'name': 'yeast',
  'phenotype': 'yeast',
  'citation_key': 'krnn',
  'n_col': 8,
  'n_col_orig': 8,
  'n_col_non_unique_orig': 8,
  'n': 1484,
  'DESCR': 'yeast',
  'n_classes': 10,
  'data_loader': 'load_yeast'},
 {'name': 'zoo',
  'phenotype': 'zoo',
  'citation_key': 'keel',
  'n_col': 20,
  'n_col_orig': 16,
  'n_col_non_unique_orig': 16,
  'n': 101,
  'DESCR': 'zoo',
  'n_classes': 7,
  'data_loader': 'load_zoo'}]
