"""
The summary of the regression datasets.
"""

summary = [{'name': 'airfoil',
  'phenotype': 'airfoil',
  'citation_key': 'krnn',
  'n_col': 5,
  'n_col_orig': 5,
  'n_col_non_unique_orig': 5,
  'n': 1503,
  'DESCR': 'airfoil',
  'data_loader': 'load_airfoil'},
 {'name': 'autoMPG6',
  'phenotype': 'autoMPG',
  'citation_key': 'keel',
  'n_col': 5,
  'n_col_orig': 5,
  'n_col_non_unique_orig': 5,
  'n': 392,
  'DESCR': 'autoMPG6',
  'data_loader': 'load_autoMPG6'},
 {'name': 'baseball',
  'phenotype': 'baseball',
  'citation_key': 'keel',
  'n_col': 16,
  'n_col_orig': 16,
  'n_col_non_unique_orig': 16,
  'n': 337,
  'DESCR': 'baseball',
  'data_loader': 'load_baseball'},
 {'name': 'ccpp',
  'phenotype': 'ccpp',
  'citation_key': 'uci',
  'n_col': 4,
  'n_col_orig': 4,
  'n_col_non_unique_orig': 4,
  'n': 9568,
  'DESCR': 'ccpp',
  'data_loader': 'load_ccpp'},
 {'name': 'communities',
  'phenotype': 'communities',
  'citation_key': 'krnn',
  'n_col': 2262,
  'n_col_orig': 126,
  'n_col_non_unique_orig': 126,
  'n': 1994,
  'DESCR': 'communities',
  'data_loader': 'load_communities'},
 {'name': 'compactiv',
  'phenotype': 'compactiv',
  'citation_key': 'keel',
  'n_col': 21,
  'n_col_orig': 21,
  'n_col_non_unique_orig': 21,
  'n': 8192,
  'DESCR': 'compactiv',
  'data_loader': 'load_compactiv'},
 {'name': 'cpu_performance',
  'phenotype': 'cpu',
  'citation_key': 'krnn',
  'n_col': 35,
  'n_col_orig': 7,
  'n_col_non_unique_orig': 7,
  'n': 209,
  'DESCR': 'cpu_performance',
  'data_loader': 'load_cpu_performance'},
 {'name': 'diabetes',
  'phenotype': 'diabetes',
  'citation_key': 'keel',
  'n_col': 2,
  'n_col_orig': 2,
  'n_col_non_unique_orig': 2,
  'n': 43,
  'DESCR': 'diabetes',
  'data_loader': 'load_diabetes'},
 {'name': 'forestfires',
  'phenotype': 'forestfires',
  'citation_key': 'krnn',
  'n_col': 27,
  'n_col_orig': 12,
  'n_col_non_unique_orig': 12,
  'n': 517,
  'DESCR': 'forestfires',
  'data_loader': 'load_forestfires'},
 {'name': 'laser',
  'phenotype': 'laser',
  'citation_key': 'keel',
  'n_col': 4,
  'n_col_orig': 4,
  'n_col_non_unique_orig': 4,
  'n': 993,
  'DESCR': 'laser',
  'data_loader': 'load_laser'},
 {'name': 'mortgage',
  'phenotype': 'mortgage',
  'citation_key': 'keel',
  'n_col': 15,
  'n_col_orig': 15,
  'n_col_non_unique_orig': 15,
  'n': 1049,
  'DESCR': 'mortgage',
  'data_loader': 'load_mortgage'},
 {'name': 'puma32h',
  'phenotype': 'puma32h',
  'citation_key': 'keel',
  'n_col': 32,
  'n_col_orig': 32,
  'n_col_non_unique_orig': 32,
  'n': 8192,
  'DESCR': 'puma32h',
  'data_loader': 'load_puma32h'},
 {'name': 'real_estate_valuation',
  'phenotype': 'real',
  'citation_key': 'uci',
  'n_col': 6,
  'n_col_orig': 6,
  'n_col_non_unique_orig': 6,
  'n': 414,
  'DESCR': 'real_estate_valuation',
  'data_loader': 'load_real_estate_valuation'},
 {'name': 'residential_building',
  'phenotype': 'residential',
  'citation_key': 'uci',
  'n_col': 107,
  'n_col_orig': 107,
  'n_col_non_unique_orig': 107,
  'n': 372,
  'DESCR': 'residential_building',
  'data_loader': 'load_residential_building'},
 {'name': 'slump_test',
  'phenotype': 'slump',
  'citation_key': 'krnn',
  'n_col': 9,
  'n_col_orig': 9,
  'n_col_non_unique_orig': 9,
  'n': 103,
  'DESCR': 'slump_test',
  'data_loader': 'load_slump_test'},
 {'name': 'stock_portfolio_performance',
  'phenotype': 'stock',
  'citation_key': 'uci',
  'n_col': 6,
  'n_col_orig': 6,
  'n_col_non_unique_orig': 6,
  'n': 63,
  'DESCR': 'stock_portfolio_performance',
  'data_loader': 'load_stock_portfolio_performance'},
 {'name': 'treasury',
  'phenotype': 'treasury',
  'citation_key': 'keel',
  'n_col': 15,
  'n_col_orig': 15,
  'n_col_non_unique_orig': 15,
  'n': 1049,
  'DESCR': 'treasury',
  'data_loader': 'load_treasury'},
 {'name': 'wankara',
  'phenotype': 'wankara',
  'citation_key': 'keel',
  'n_col': 9,
  'n_col_orig': 9,
  'n_col_non_unique_orig': 9,
  'n': 321,
  'DESCR': 'wankara',
  'data_loader': 'load_wankara'},
 {'name': 'winequality_red',
  'phenotype': 'winequality',
  'citation_key': 'krnn',
  'n_col': 11,
  'n_col_orig': 11,
  'n_col_non_unique_orig': 11,
  'n': 1599,
  'DESCR': 'winequality_red',
  'data_loader': 'load_winequality_red'},
 {'name': 'winequality_white',
  'phenotype': 'winequality',
  'citation_key': 'krnn',
  'n_col': 11,
  'n_col_orig': 11,
  'n_col_non_unique_orig': 11,
  'n': 4898,
  'DESCR': 'winequality_white',
  'data_loader': 'load_winequality_white'},
 {'name': 'wizmir',
  'phenotype': 'wizmir',
  'citation_key': 'keel',
  'n_col': 9,
  'n_col_orig': 9,
  'n_col_non_unique_orig': 9,
  'n': 1461,
  'DESCR': 'wizmir',
  'data_loader': 'load_wizmir'},
 {'name': 'yacht_hydrodynamics',
  'phenotype': 'yacht',
  'citation_key': 'krnn',
  'n_col': 6,
  'n_col_orig': 6,
  'n_col_non_unique_orig': 6,
  'n': 307,
  'DESCR': 'yacht_hydrodynamics',
  'data_loader': 'load_yacht_hydrodynamics'}]
